import React from "react";
import Textbox from "../TextBox";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";
export default function Textbox__default(props) {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "0 20px 50px 20px"
    }
  }, /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", null, "Variant"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    variant: "secondary",
    shape: "shape_oval"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    variant: "primary",
    placeHolder: "primary",
    value: "prabhu"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    variant: "mandatory"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", null, "Style"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    fieldStyle: "line"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    fieldStyle: "no-border"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    fieldStyle: "rounded-corner"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    fieldStyle: "rounded"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", null, "Size"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    size: "size_sm"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    size: "size_md"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    size: "size_lg"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", null, "Type"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "text",
    placeholder: "Text"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "number",
    placeholder: "Number"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "search",
    placeholder: "Search"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "email",
    placeholder: "Email"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "password",
    placeholder: "Password"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "url",
    placeholder: "URL"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "readonly",
    placeholder: "Readonly"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    type: "required",
    placeholder: "Required"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", null, "Disabled"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    disabled: true
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", null, "with Icon"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    startIcon: "i"
  }), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Textbox, {
    endIcon: "i"
  }), /*#__PURE__*/React.createElement("br", null));
}

if (false) {
  Textbox__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}